POSTAuthentication

Authenticate

Generate a bearer token for authenticating all subsequent API calls to Sotel. Send your Live API Key and receive a JWT bearer token in the response. This token must be included in the Authorization header of all other API requests.

Endpoint

POSThttps://api.sotel.com/api/esim/authenticate

Authentication

This endpoint does not require a bearer token. Send your Live API Key in the request body to receive a token for use with all other endpoints.

Request Body

NameTypeRequiredDescription
api_keystringRequiredYour Live API Key from the Sotel partner dashboard.
Request Example
{
  "api_key": "YOUR_LIVE_API_KEY"
}

Response

Bearer generated successfully. Use the token value in the Authorization header for all subsequent API calls.

Response
{
  "token": "eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOjEsInN1YiI6MSwiY291bnRyeSI6Ik5pZ2VyaWEiLCJjcmVhdGVkIjoxNzI4Mzk1OTU5NjE5LCJpc3MiOjEsImFkbWluIjoxLCJncmFudCI6IiIsImV4cCI6MTcyODQ4MjM1OSwiaWF0IjoxNzI4Mzk1OTU5LCJlbWFpbCI6ImFkZW9sYS5lbGVnYmVkZUB0ZXJtaWkuY29tIn0.q6Whz1g4NISj4gdAtpbECWK_XsaSv005U2zg0sL6cKEmWVlWEXg0sRDiX1cmjOhwb5eJC7am_6XiLHI-Ow22YQ"
}

Code Examples

curl -X POST 'https://api.sotel.com/api/esim/authenticate' \
  -H 'Content-Type: application/json' \
  -d '{
    "api_key": "YOUR_LIVE_API_KEY"
  }'

Try It

Try It

Fill in the parameters to generate a cURL command

Request Body
Generated cURL
curl -X POST 'https://api.sotel.com/api/esim/authenticate' \
  -H 'Authorization: Bearer {token}' \
  -H 'Content-Type: application/json' \
  -d '{
  "api_key": "{api_key}"
}'